> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status and limits for the specified client

> Retrieve complete account information for a specific client including status, quotas, and plan assignment.
Shows current resource usage and any active restrictions.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml get /fastedge/v1/admin/clients/{client_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/clients/{client_id}:
    get:
      tags:
        - FastEdge Reseller Clients
      summary: Get status and limits for the specified client
      description: >-
        Retrieve complete account information for a specific client including
        status, quotas, and plan assignment.

        Shows current resource usage and any active restrictions.
      operationId: getClient
      parameters:
        - description: Unique identifier of the client
          in: path
          name: client_id
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/client'
                  - properties:
                      reseller_id:
                        description: Reseller ID
                        format: int64
                        type: integer
                    required:
                      - reseller_id
                    type: object
          description: Returns client status, limits, and quota information
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
components:
  schemas:
    client:
      required:
        - status
        - hourly_consumption
        - daily_consumption
        - app_count
        - monthly_consumption
        - networks
        - plan_id
      type: object
      properties:
        status:
          type: integer
          description: |-
            Status code:  
            1 - enabled  
            2 - disabled  
            5 - suspended
          minimum: 1
          maximum: 5
        hourly_consumption:
          type: integer
          description: Actual number of calls for all apps during the current hour
        daily_consumption:
          type: integer
          description: Actual number of calls for all apps during the current day (UTC)
        app_count:
          type: integer
          description: Actual allowed number of apps
        monthly_consumption:
          type: integer
          description: >-
            Actual number of calls for all apps during the current calendar
            month (UTC)
        networks:
          type: array
          description: List of enabled networks
          items:
            $ref: '#/components/schemas/network'
        plan_id:
          type: integer
          format: int64
          description: Plan ID
        plan:
          readOnly: true
          type: string
          description: Plan name
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    network:
      type: object
      required:
        - name
        - is_default
      properties:
        name:
          type: string
          description: Network name
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9][a-z0-9_-]*[a-z0-9]$
        is_default:
          type: boolean
          description: Is network is default
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````